Skip to main content
GET
/
instruments
/
{symbol}
/
profile
Get Instrument Profile
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/instruments/{symbol}/profile
{
  "asset_class": "<string>",
  "name": "<string>",
  "exchange": "<string>",
  "sector": "<string>",
  "industry": "<string>",
  "employees": 123,
  "website": "<string>",
  "description": "<string>",
  "ceo": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "statistics": {
    "market_cap": "<string>",
    "pe_ratio_ttm": "<string>",
    "eps_ttm": "<string>",
    "dividend_yield": "<string>",
    "week52_low": "<string>",
    "week52_high": "<string>",
    "beta": "<string>"
  },
  "profile_fetched_at": "2023-11-07T05:31:56Z",
  "statistics_fetched_at": "2023-11-07T05:31:56Z"
}

Path Parameters

symbol
string
required

Response

Successful Response

asset_class
string | null
name
string | null
exchange
string | null
sector
string | null
industry
string | null
employees
integer | null
website
string | null
description
string | null
ceo
string | null
address
string | null
city
string | null
state
string | null
country
string | null
statistics
InstrumentStatisticsResponse · object
profile_fetched_at
string<date-time> | null
statistics_fetched_at
string<date-time> | null